Bug 249950

Summary: [exp-run] math/mpc : Update to 1.2.0
Product: Ports & Packages Reporter: Wen Heping <wen>
Component: Individual Port(s)Assignee: Gerald Pfeifer <gerald>
Status: Closed FIXED    
Severity: Affects Some People CC: gerald
Priority: --- Flags: antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Update to 1.2.0
none
diff file with all depend ports bumped none

Description Wen Heping freebsd_committer 2020-09-27 23:14:46 UTC
Created attachment 218373 [details]
Update to 1.2.0

- Update to 1.2.0
Comment 1 Gerald Pfeifer freebsd_committer 2020-10-10 10:04:36 UTC
portmgr@, would you mind doing an exp-run?

math/mpc has a fair number of dependencies (including the lang/gcc ports
and indirectly all their dependencies).
Comment 2 Antoine Brodin freebsd_committer 2020-10-15 05:37:30 UTC
Exp-run looks fine
Comment 3 Gerald Pfeifer freebsd_committer 2020-11-08 11:02:54 UTC
(In reply to Antoine Brodin from comment #2)
> Exp-run looks fine

Wen, would you like to commit the update (and the associated PORTREVISION
bumps)?

Approved by: gerald (maintainer)

Otherwise I'll do it, it's probably going to be a week since I have to
focus on other bits to sort out right now.
Comment 4 Wen Heping freebsd_committer 2020-11-09 02:56:31 UTC
(In reply to Gerald Pfeifer from comment #3)
Hi, Gerald :

  I found you bumped all gcc ports and all USE_GCC ports in your last mpc update commit, it is a huge work. Do you have a script to generate the list of all these ports? If yes, I would like wait for your commit :)

wen
Comment 5 Gerald Pfeifer freebsd_committer 2021-01-23 22:00:09 UTC
Hi Wen, I have thought about this more and convinced myself that bumping
everything that depends on the lang/gcc* ports should note be needed here.

Would you like to commit this update of yours and just bump the regular
dependencies of math/mpc? Happy to pre-approve that (not the least since
I clearly have not been getting to picking it up myself this time - sorry
about that).
Comment 6 Wen Heping freebsd_committer 2021-01-26 01:53:58 UTC
Created attachment 221922 [details]
diff file with all depend ports bumped

diff file with all depend ports bumped
Comment 7 Wen Heping freebsd_committer 2021-01-26 01:55:51 UTC
(In reply to Gerald Pfeifer from comment #5)
I upload the diff file with all 34 depend ports bumped, would you have a review of it ?

And mpc-1.2.1 released, shall we close this PR and ask for another exp-run of mpc-1.2.1?

wen
Comment 8 Gerald Pfeifer freebsd_committer 2021-03-13 00:05:59 UTC
Yikes, I thought I had responsed. :-(

Yes, please go ahead with this update and if you're interested, definitely
initiate the following one.

Sorry for missing out on this, and thank you!
Comment 9 Wen Heping freebsd_committer 2021-03-20 00:40:54 UTC
Superceded by 254413
Comment 10 Gerald Pfeifer freebsd_committer 2021-03-21 09:37:36 UTC
Actually, now I remember: I pre-approved the update in comment #5, that's
why I missed the follow-up. ;-)

Let me pick this up and commit it. I have seen the update to the .1 version,
which we then can follow-up with quickly. Looking into the change log for 
that version, nothing severe stands out that would suggest problems with .0.
Comment 11 Gerald Pfeifer freebsd_committer 2021-03-21 09:49:59 UTC
(In reply to Wen Heping from comment #7)
> I upload the diff file with all 34 depend ports bumped,
> would you have a review of it ?

I came to the same list, except for lang/gcc6-aux which looks like it
should be bumped as well.
Comment 12 commit-hook freebsd_committer 2021-03-21 09:58:03 UTC
A commit references this bug:

Author: gerald
Date: Sun Mar 21 09:57:13 UTC 2021
New revision: 568912
URL: https://svnweb.freebsd.org/changeset/ports/568912

Log:
  Update to MPC version 1.2.0 with the following changes:
   - New functions:
     . mpc_sum
     . mpc_dot
   - Several functions are more robust with a reduced exponent range
     (for example corresponding to IEEE 754 binary formats).
   - New mpcheck tool for comparison with the native C library (which
     is not installed by default).

  Bump all directly dependent ports. Do not bump those indirectly
  dependent via the lang/gcc* family since their run-time dependencies
  and code generated should not be affected.

  PR:		249950
  Submitted by:	wen

Changes:
  head/cad/ghdl/Makefile
  head/devel/aarch64-none-elf-gcc/Makefile
  head/devel/arm-none-eabi-gcc492/Makefile
  head/devel/avr-gcc/Makefile
  head/devel/freebsd-gcc6/Makefile
  head/devel/freebsd-gcc9/Makefile
  head/devel/gcc-arm-embedded/Makefile
  head/devel/gcc-msp430-ti-toolchain/Makefile
  head/devel/mingw32-gcc/Makefile
  head/devel/powerpc64-gcc/Makefile
  head/devel/psptoolchain-gcc-stage1/Makefile
  head/devel/riscv64-gcc/Makefile
  head/lang/gcc10/Makefile
  head/lang/gcc10-devel/Makefile
  head/lang/gcc11-devel/Makefile
  head/lang/gcc48/Makefile
  head/lang/gcc6-aux/Makefile.version
  head/lang/gcc7/Makefile
  head/lang/gcc8/Makefile
  head/lang/gcc8-devel/Makefile
  head/lang/gcc9/Makefile
  head/lang/gcc9-devel/Makefile
  head/math/cm/Makefile
  head/math/cmh/Makefile
  head/math/elemental/Makefile
  head/math/gnome-calculator/Makefile
  head/math/libmissing/Makefile
  head/math/mpc/Makefile
  head/math/mpc/distinfo
  head/math/mpfrcx/Makefile
  head/math/mppp/Makefile
  head/math/p5-Math-MPC/Makefile
  head/math/py-gmpy2/Makefile
  head/math/py-gmpy2-devel/Makefile
  head/math/py-pplpy/Makefile
  head/math/sage/Makefile
  head/math/symengine/Makefile